Subject: Re: gparted-1.0.0-0.1 comes with dependencies for systemd components

From: Klaus Ethgen <[email-masked]>
Date: Wed, 3 Jun 2020 12:44:06 +0100

Hi Mark,

Am Mi den  3. Jun 2020 um 11:37 schrieb Mark Hindley:
> On Wed, Jun 03, 2020 at 11:16:43AM +0100, Klaus Ethgen wrote:
> > > However, Devuan has libpam-elogind which provides libpam-systemd so that
> > > dependencies like this work.
> > 
> > Well, first it is not only systemd than also policykit.
> > 
> > But I tried to install libpam-elogind which tried to remove the safety
> > package prevent-systemd-completely due to libpam-systemd.
> 
> I don't know what the prevent-systemd-completely package you refer to is or
> where it came from. It isn't part of Devuan.

No, it is part of the WTF-Repo https://www.mirbsd.org/~tg/Debs/ (It is
made by Axel Beckert)

> PID1 systemd is removed from Devuan already; you don't need to do anything else.

Thanks.

> > I do not get it why I would need a additional daemon that I don't use
> > and don't want.
> 
> Well you were trying to install gparted and that does require logind
> functionality so you do want it and would use it, if only indirectly.

Thats exactly the problem, it doesn't. That is a weak dependency that
should at most be recommended. That how it worked with earlier versions
too. That dependency for logind is just artefactual and not really
needed.

> If you want to avoid that you could consider using one of the command line
> partitioners like parted, fdisk....

Yes, yes, thats how I use it most of the time. However...

Let me express something else about elogind and the library replacement
for libsystemd. On one hand I like it. But it did put the library to
/usr leaving my system unbootable. I had to recover it with grml.

Regards
   Klaus
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <[email-masked]>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C